<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Rollback Method (IEdmRevision5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmRevision5 Interface : Rollback Method (IEdmRevision5)

Visual Basic
C#
C++/CLI
Obsolete. Superseded by IEdmRevision6::Rollback2 .

# Syntax

Visual Basic |
--- | ---

    Sub Rollback()

C# |
--- | ---

    void Rollback()

C++/CLI |
--- | ---

    void Rollback();

# Remarks

This method destroys all versions after this revision number. To undo this rollback operation, you need to restore a backup of the entire database and file archives.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_PERMISSION_DENIED: The user lacks permission to delete files.

# See Also

####

IEdmRevision5 Interface
IEdmRevision5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2